DefinitionBlock ("SSDT-USB.aml", "SSDT", 1, "sample", "USBFix", 0)
{
    // "USBInjectAllConfiguration" : override for USBInjectAll.kext
    Device(UIAC)
    {
        Name(_HID, "UIA00000")
        // "RehabManConfiguration"
        Name(RMCF, Package()
        {
            // XHC overrides for 300-series boards
            "8086_a2af", Package()
            {
                "port-count", Buffer() { 0xd, 0, 0, 0}, // Highest port number is HS10 at 0x0a
                "ports", Package()
                {
                    "HS03", Package() // USB 3.1 Gen 1 port, port <03 00 00 00>
                    {
                        "UsbConnector", 3,
                        "port", Buffer() { 0x03, 0, 0, 0 },
                    },
                    "HS04", Package() // USB 3.1 Gen 1 port, port <04 00 00 00>
                    {
                        "UsbConnector", 3,
                        "port", Buffer() { 0x04, 0, 0, 0 },
                    },
                    "HS05", Package() // USB3 port on case #1 , port <05 00 00 00>
                    {
                        "UsbConnector", 3,
                        "port", Buffer() { 0x05, 0, 0, 0 },
                    },
                    "HS06", Package() // USB3 port on case #2 , port <06 00 00 00>
                    {
                        "UsbConnector", 3,
                        "port", Buffer() { 0x06, 0, 0, 0 },
                    }, 
                    "HS07", Package() // USB 3.1 Gen 1 port , port <07 00 00 00>
                    {
                        "UsbConnector", 3,
                        "port", Buffer() { 0x07, 0, 0, 0 },
                    },
                    "HS08", Package() // USB 3.1 Gen 1 port , port <08 00 00 00>
                    {
                        "UsbConnector", 3,
                        "port", Buffer() { 0x08, 0, 0, 0 },
                    },
                    "HS09", Package() // USB 2.0/1.1 port, port <09 00 00 00>
                    {
                        "UsbConnector", 0,
                        "port", Buffer() { 0x09, 0, 0, 0 },
                    },
                    "HS10", Package() // USB 2.0/1.1 port, port <0a 00 00 00>
                    {
                        "UsbConnector", 0,
                        "port", Buffer() { 0x0a, 0, 0, 0 },
                  
                   },
                },
            },
        })
    }
}
//EOF